Page MenuHomePhabricator

Clearer checkbox meaning on Special:ManageMessageGroups
Closed, ResolvedPublic

Description

Having two checkboxes "Ignore" and "Import and ask updates" for each message is very confusing: in particular, one wonders what happens if both are selected. How can a message be both ignored and imported?

Event Timeline

Nemo_bis created this task.Mar 16 2017, 6:34 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2017, 6:34 AM
Nikerabbit triaged this task as Low priority.
Nikerabbit added a subscriber: Nikerabbit.

Sounds like a radio button is appropriate to use here when there are multiple options.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 16 2017, 9:20 AM
			$label = $this->msg( 'translate-manage-action-ignore' )->text();
			$actions = Xml::checkLabel( $label, "i/$id", "i/$id" );
			$limit--;

			if ( $group->getSourceLanguage() === $code ) {
				$label = $this->msg( 'translate-manage-action-fuzzy' )->text();
				$actions .= ' ' . Xml::checkLabel( $label, "f/$id", "f/$id", true );
				$limit--;
			}
Nemo_bis claimed this task.Mar 30 2017, 3:55 PM
Omidfi added a subscriber: Omidfi.Sep 27 2017, 4:50 AM

I could take this one if it's still relevant and Nemo_bis isn't working on it

I will not be working on this for the next couple months,

Omidfi claimed this task.Sep 27 2017, 8:55 AM

I'm trying to reproduce this, but I can' t.

My http://127.0.0.1:8080/wiki/Special:ManageMessageGroups page says:

There are no changes to process.

Not sure where I need to make the changes. I've read this:
https://www.mediawiki.org/wiki/Help:Extension:Translate/Group_configuration

and a bunch of other pages like:
https://www.mediawiki.org/wiki/Help:Extension:Translate/Translation_example

Omidfi removed Omidfi as the assignee of this task.Oct 8 2017, 4:53 AM

I didn't get lucky with this one, I can't get the configuration work. I leave it for now so that it becomes open in case someone elase wants to work on it.

Eugene233 updated the task description. (Show Details)Feb 4 2019, 10:32 AM
abi_ moved this task from Backlog to In Progress on the User-abi_ board.Apr 20 2019, 7:11 AM
abi_ claimed this task.Apr 20 2019, 8:29 AM

Change 505385 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] Replace checkbox with radio buttons on Special:ManageMessageGroups

https://gerrit.wikimedia.org/r/505385

abi_ moved this task from In Progress to Under Review on the User-abi_ board.EditedApr 20 2019, 10:33 AM

Replaced the check-boxes with the radio buttons to make the UI more aligned with the actual behavior. Also added another option "Import" which is displayed when there is a change in a non-source translation.

Also moved the ignore button to the end as it made more sense to have the default selected options shown first.

Change 345596 abandoned by Abijeet Patro:
Radio button for ignore vs. fuzzy on Special:ManageMessageGroups

Reason:
Abandoned in favor of I9c7e7e18ed4996d36e48253a66c5789afe4f9e86

https://gerrit.wikimedia.org/r/345596

abi_ added a comment.Mon, May 6, 2:07 PM

Added the import button for source language also. This will import the changes, without marking translations in other language as fuzzy.

Tweaked the CSS as per discussion with Niklas, and tested across themes. Here are a few screenshots,

Change 505385 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Replace checkbox with radio buttons on Special:ManageMessageGroups

https://gerrit.wikimedia.org/r/505385

abi_ moved this task from Under Review to QA on the User-abi_ board.Tue, May 7, 7:58 AM
abi_ removed a project: Patch-For-Review.

Updating status as patch has been merged.

abi_ added a comment.Wed, May 22, 10:25 AM

Have been using this updated UI on Translatewiki.net for a few days now. Changes have been working as expected.

Today, also used the UI to ignore a change.

abi_ closed this task as Resolved.Wed, May 22, 10:25 AM
abi_ moved this task from QA to Done on the User-abi_ board.